PHPStorm and Ubuntu's PHPUnit

Running Ubuntu 20.04 with PHP 7.4.3 and PHPUnit 8.5.2.

I have a very simple project which can run from CLI and the same goes for testing via PHPUnit. The project also runs fine via PHPStorm but I cannot for the life of me figure out how the make PHPStorm use the version of PHPUnit provided by the underlying OS. I have added both PHP and PHPUnit as a 'CLI interpreter' for good measure.

In 'Settings > PHP > Test Frameworks' 'PHPUnit local' only seems to support using 'Compose autoloader' or a 'phpunit.phar' none of which applies to my case (unless I am mistaken?).

Any suggestions on how to use the PHPUnit binary available from the OS without having to do additional configuration for each individual project and without having to download external archives?

1 comment
Comment actions Permalink

Unfortunately, it is not possible to use OS-level PHPUnit installation at the moment, please check the following ticket:

https://youtrack.jetbrains.com/issue/WI-35322

0

Please sign in to leave a comment.